diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplTab.java
index e9047701cea16fbeebc786ed71562434eecdf46c..c7d28dd07aacfc4ba490b0bb54334d5925bf3440 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileImplTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -111,9 +110,9 @@ public class ProfileImplTab extends CMSBaseUGTab {
                     mDataModel.getObjectValueAt(mTable.getSelectedRow());    
             if (mViewer==null)
                 mViewer = new ViewDialog(mModel.getFrame());
-            mViewer.showDialog(obj.getValue(IMPL_NAME),
-                               obj.getValue(IMPL_CLASS),
-                               obj.getValue(IMPL_DESC));
+            mViewer.showDialog(obj.get(IMPL_NAME),
+                               obj.get(IMPL_CLASS),
+                               obj.get(IMPL_DESC));
         }        
         if (e.getSource().equals(mHelp)) {
             helpCallback();
@@ -264,9 +263,9 @@ public class ProfileImplTab extends CMSBaseUGTab {
             mModel.progressStop();
             return;
         }
-        for (Enumeration e = response1.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            response.add(entry+";profile", response1.getValue(entry));
+        for (String entry : response1.keySet()) {
+            entry = entry.trim();
+            response.put(entry + ";profile", response1.get(entry));
         }
         try {
             response2 = mConnection.search(mDestination,
@@ -278,9 +277,9 @@ public class ProfileImplTab extends CMSBaseUGTab {
             mModel.progressStop();
             return;
         }
-        for (Enumeration e = response2.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            response.add(entry+";profileInput", response2.getValue(entry));
+        for (String entry : response2.keySet()) {
+            entry = entry.trim();
+            response.put(entry + ";profileInput", response2.get(entry));
         }
         try {
             response3 = mConnection.search(mDestination,
@@ -292,9 +291,9 @@ public class ProfileImplTab extends CMSBaseUGTab {
             mModel.progressStop();
             return;
         }
-        for (Enumeration e = response3.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            response.add(entry+";profileOutput", response3.getValue(entry));
+        for (String entry : response3.keySet()) {
+            entry = entry.trim();
+            response.put(entry + ";profileOutput", response3.get(entry));
         }
         try {
             response4 = mConnection.search(mDestination,
@@ -306,9 +305,9 @@ public class ProfileImplTab extends CMSBaseUGTab {
             mModel.progressStop();
             return;
         }
-        for (Enumeration e = response4.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            response.add(entry+";defaultPolicy", response4.getValue(entry));
+        for (String entry : response4.keySet()) {
+            entry = entry.trim();
+            response.put(entry + ";defaultPolicy", response4.get(entry));
         }
         try {
             response5 = mConnection.search(mDestination,
@@ -320,27 +319,27 @@ public class ProfileImplTab extends CMSBaseUGTab {
             mModel.progressStop();
             return;
         }
-        for (Enumeration e = response5.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            response.add(entry+";constraintPolicy", response5.getValue(entry));
+        for (String entry : response5.keySet()) {
+            entry = entry.trim();
+            response.put(entry + ";constraintPolicy", response5.get(entry));
         }
 
         //parse the data
         int i=0;
         String[] vals = new String[response.size()];
         Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
             int x = value.indexOf(",");
             int x_end = value.lastIndexOf(",");
             int y = entry.indexOf(";");
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry.substring(0,y));
-            obj.add(IMPL_TYPE,entry.substring(y+1));
+            obj.put(IMPL_NAME, entry.substring(0, y));
+            obj.put(IMPL_TYPE, entry.substring(y + 1));
             vals[i++]= entry ;
-            obj.add(IMPL_CLASS, value.substring(0,x));
-            obj.add(IMPL_DESC, value.substring(x+1,x_end));
+            obj.put(IMPL_CLASS, value.substring(0, x));
+            obj.put(IMPL_DESC, value.substring(x + 1, x_end));
             data.put(entry,obj);
         }
         
@@ -367,8 +366,8 @@ public class ProfileImplTab extends CMSBaseUGTab {
         //send comment to server for the removal of user
         try {
             mConnection.delete(mDestination,
-                               obj.getValue(IMPL_TYPE),
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_TYPE),
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicyNewDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicyNewDialog.java
index 05836bc87fcc4a37d2a76b306c00fdb619a7a22a..e597b242b0324c0c008a17085c0d609c4f3ec5f6 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicyNewDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicyNewDialog.java
@@ -20,13 +20,10 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -309,8 +306,8 @@ setLabelCellEditor(mTable, 1);
                 }
 
                 for (int i = 0; i < mTable.getRowCount(); i++) {
-                    nvp.add((String)mTable.getValueAt(i,0),
-                      (String)mTable.getValueAt(i,1));
+                    nvp.put((String) mTable.getValueAt(i, 0),
+                            (String) mTable.getValueAt(i, 1));
 	            }
 
                 if (mIsNew) {
@@ -384,11 +381,11 @@ setLabelCellEditor(mTable, 1);
         defcolNames.addElement("Value"); 
         Vector defdata = new Vector(); 
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-           String entry = ((String)e.nextElement()).trim();
-           String value = response.getValue(entry);
-                  Debug.println("entry= "+entry);
-                  Debug.println("value= "+value); 
+        for (String entry : response.keySet()) {
+           entry = entry.trim();
+           String value = response.get(entry);
+                  Debug.println("entry= " + entry);
+                  Debug.println("value= " + value);
 
   int start_pos = value.indexOf(';');
   int end_pos = value.lastIndexOf(';');
@@ -413,9 +410,9 @@ setLabelCellEditor(mTable, 1);
              mPluginName.setText(profileId);
              mPluginName.setBackground(getBackground());
              mPluginName.setEnabled(false);
-             mNameField.setText(response.getValue("name"));
+             mNameField.setText(response.get("name"));
              if (mIsNew)
-                 mDescField.setText(response.getValue("desc"));
+                 mDescField.setText(response.get("desc"));
 	    }
 
         this.show();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicySelDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicySelDialog.java
index 4487754f209986cfae6a9efe26fec63eb3d46505..8d97ffd13f1bd11dd4ade87752cb1110c61473fc 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicySelDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileNonPolicySelDialog.java
@@ -20,11 +20,10 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -348,9 +347,9 @@ public class ProfileNonPolicySelDialog extends JDialog
         //parse the data
         String[] vals = new String[response.size()];
         int i=0;
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String name = ((String)e.nextElement()).trim();
-            String val = response.getValue(name);
+        for (String name : response.keySet()) {
+            name = name.trim();
+            String val = response.get(name);
             StringTokenizer st = new StringTokenizer(val, ",");
             String className = st.nextToken();
             String desc = st.nextToken();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePluginSelectionDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePluginSelectionDialog.java
index c3b0332213580ba7ae3083ef40c1b9e8546e6196..ec3bb4c7c70f0d3972dc2e42bd10e39a07d625ee 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePluginSelectionDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePluginSelectionDialog.java
@@ -20,11 +20,8 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
-import java.awt.*;
-import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -89,7 +86,7 @@ public class ProfilePluginSelectionDialog extends PluginSelectionDialog
             }
             Debug.println(response.toString());
             String id =(String)(((ProfileListDataModel)mDataModel).getObjectValueAt(mList.getSelectedIndex()));
-            response.add(Constants.PR_POLICY_IMPL_NAME,id);
+            response.put(Constants.PR_POLICY_IMPL_NAME, id);
 
             CMSBaseConfigDialog dialog = null;
             if (mExtraDestination == null) {
@@ -160,9 +157,8 @@ public class ProfilePluginSelectionDialog extends PluginSelectionDialog
         String[] classnames = new String[response.size()];
         String[] ids = new String[response.size()];
         int i=0;
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String id = (String)e.nextElement();
-            String value = response.getValue(id);
+        for (String id : response.keySet()) {
+            String value = response.get(id);
             int pos = value.lastIndexOf(",");
             String className = value.substring(pos+1);
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyEditDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyEditDialog.java
index 12781c6b53d1c9d25197594ccb61bd6ce1f40a63..34b95c0f1a62c9038b35866d018949014ab331c6 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyEditDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyEditDialog.java
@@ -20,13 +20,11 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -462,7 +460,7 @@ public class ProfilePolicyEditDialog extends CMSBaseConfigDialog
                 val = (String)(((JComboBox)comp).getSelectedItem());
             }
             String name1 = ((JLabel)(mDefaultTable.getValueAt(i,0))).getText();
-			nvp.add(name1, val);
+			nvp.put(name1, val);
 	        }
 
 
@@ -485,7 +483,7 @@ public class ProfilePolicyEditDialog extends CMSBaseConfigDialog
             }
 
             String name1 = ((JLabel)(mConstraintTable.getValueAt(i,0))).getText();
-            nvp.add(name1, val);
+            nvp.put(name1, val);
 	        }
                 instanceName = mPluginName.getText();
 //DestDef.DEST_CA_PROFILE_ADMIN, 
@@ -582,9 +580,9 @@ public class ProfilePolicyEditDialog extends CMSBaseConfigDialog
         defcolNames.addElement("Value"); 
         Vector defdata = new Vector(); 
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-           String entry = ((String)e.nextElement()).trim();
-           String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+           entry = entry.trim();
+           String value = response.get(entry);
                   Debug.println("ProfilePolicyEditDialog entry= "+entry);
                   Debug.println("ProfilePolicyEditDialog value= "+value); 
 
@@ -605,7 +603,7 @@ public class ProfilePolicyEditDialog extends CMSBaseConfigDialog
         	mPluginName.setText(profileId);
 	        mPluginName.setBackground(getBackground());
         	mPluginName.setEnabled(false);
-        	mNameField.setText(response.getValue("name"));
+		mNameField.setText(response.get("name"));
       		mDescField.setText(setid);
 	        mDescField.setBackground(getBackground());
         	mDescField.setEnabled(false);
@@ -633,9 +631,9 @@ public class ProfilePolicyEditDialog extends CMSBaseConfigDialog
         colNames.addElement("Value"); 
         Vector d = new Vector(); 
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-           String entry = ((String)e.nextElement()).trim();
-           String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+           entry = entry.trim();
+           String value = response.get(entry);
                   Debug.println("entry= "+entry);
                   Debug.println("value= "+value); 
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyNewDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyNewDialog.java
index 44e1aa51232cf5ee388b48b105fd8997fa0971e4..941917808226fc9b443addd5e14639f18f8c7c02 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyNewDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicyNewDialog.java
@@ -20,13 +20,11 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -483,7 +481,7 @@ public class ProfilePolicyNewDialog extends CMSBaseConfigDialog
                 val = (String)(((JComboBox)comp).getSelectedItem());
             }
             String name1 = ((JLabel)(mDefaultTable.getValueAt(i,0))).getText();
-            nvp.add(name1, val);
+            nvp.put(name1, val);
 	        }
 
 
@@ -505,7 +503,7 @@ public class ProfilePolicyNewDialog extends CMSBaseConfigDialog
             }
 
             String name1 = ((JLabel)(mConstraintTable.getValueAt(i,0))).getText();
-            nvp.add(name1, val);
+            nvp.put(name1, val);
 	        }
                 instanceName = mPluginName.getText();
                 //mAdminConnection.add(DestDef.DEST_CA_PROFILE_ADMIN, 
@@ -559,9 +557,9 @@ public class ProfilePolicyNewDialog extends CMSBaseConfigDialog
         defcolNames.addElement("Value"); 
         Vector defdata = new Vector(); 
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-           String entry = ((String)e.nextElement()).trim();
-           String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+           entry = entry.trim();
+           String value = response.get(entry);
                   Debug.println("entry= "+entry);
                   Debug.println("value= "+value); 
 
@@ -581,8 +579,8 @@ public class ProfilePolicyNewDialog extends CMSBaseConfigDialog
         	mPluginName.setText(profileId);
 	        mPluginName.setBackground(getBackground());
         	mPluginName.setEnabled(false);
-        	mNameField.setText(response.getValue("name"));
-      		mDescField.setText(response.getValue("desc"));
+		mNameField.setText(response.get("name"));
+		mDescField.setText(response.get("desc"));
 	}
 
         // retrieve policy information
@@ -604,9 +602,9 @@ public class ProfilePolicyNewDialog extends CMSBaseConfigDialog
         colNames.addElement("Value"); 
         Vector d = new Vector(); 
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-           String entry = ((String)e.nextElement()).trim();
-           String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+           entry = entry.trim();
+           String value = response.get(entry);
                   Debug.println("entry= "+entry);
                   Debug.println("value= "+value); 
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicySelectionDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicySelectionDialog.java
index 69d5023555ebe53d12572dcde6ab0b39af8b51f5..44fe9886b3b7d50889ee9f8f4d21919aa0f1fcc2 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicySelectionDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfilePolicySelectionDialog.java
@@ -24,7 +24,7 @@ import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -460,9 +460,9 @@ public class ProfilePolicySelectionDialog extends JDialog
         //parse the data
         String[] vals = new String[response.size()];
         int i=0;
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String name = ((String)e.nextElement()).trim();
-            String val = response.getValue(name);
+        for (String name : response.keySet()) {
+            name = name.trim();
+            String val = response.get(name);
             StringTokenizer st = new StringTokenizer(val, ",");
             String className = st.nextToken();
             String desc = st.nextToken();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRegisterDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRegisterDialog.java
index fb9ed20e790d68c5c0387dc0ac76bcd41e1d7e80..c576adbe6a66e4c4530e316036725318acdca9b0 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRegisterDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRegisterDialog.java
@@ -20,14 +20,12 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.*;
 import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
-import javax.swing.table.*;
 import com.netscape.certsrv.common.*;
 
 
@@ -287,8 +285,8 @@ public class ProfileRegisterDialog extends JDialog
 
             //construct NVP
             NameValuePairs config = new NameValuePairs();
-            config.add(Constants.PR_POLICY_CLASS, mClassField.getText());
-            config.add(Constants.PR_POLICY_DESC, mDescField.getText());
+            config.put(Constants.PR_POLICY_CLASS, mClassField.getText());
+            config.put(Constants.PR_POLICY_DESC, mDescField.getText());
 
             if (mType) {
               mScope=mTypeField.getText();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRuleDataModel.java
index 73bf5ca91090e2cbdba4c50248d16986a5245210..7a3ba28274fb5f23e7743e50e72723124feb5a68 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ProfileRuleDataModel.java
@@ -20,9 +20,7 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.management.client.util.Debug;
 
 
 /**
@@ -52,19 +50,19 @@ public class ProfileRuleDataModel extends CMSRuleDataModel
         NameValuePairs obj = (NameValuePairs) data;
 
         //XXX NEED TO ADD STUFF
-        if (obj.getValue(RULE_STAT).equalsIgnoreCase("enabled")) {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        if (obj.get(RULE_STAT).equalsIgnoreCase("enabled")) {
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("POLICYRULE_LABEL_ENABLED_LABEL"));       
         } else {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_DISABLE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("POLICYRULE_LABEL_DISABLED_LABEL"));
         }
         addRow(v, data);
-        mRules.addElement(obj.getValue(RULE_NAME));
+        mRules.addElement(obj.get(RULE_NAME));
     }
 
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplDataModel.java
index 18ad05ba2e179702c94d09032502f4f215975e4b..aefa4b1ccf3886ee818cf3cf63f75d67b3362c2a 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -58,10 +57,10 @@ public class PublisherImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        v.addElement(new JLabel(obj.getValue(IMPL_NAME),
+        v.addElement(new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_PLUGIN),
             JLabel.LEFT));
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplTab.java
index ebe4db5db40ec2fea421f252e35daf6884f2efd7..79fedfe5ed0ecb1ffac91d37e928873dd1c8daf8 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherImplTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -115,9 +114,9 @@ public class PublisherImplTab extends CMSBaseUGTab {
                     mDataModel.getObjectValueAt(mTable.getSelectedRow());    
             if (mViewer==null)
                 mViewer = new ViewDialog(mModel.getFrame());
-            mViewer.showDialog(obj.getValue(IMPL_NAME),
-                               obj.getValue(IMPL_CLASS),
-                               obj.getValue(IMPL_DESC));
+            mViewer.showDialog(obj.get(IMPL_NAME),
+                               obj.get(IMPL_CLASS),
+                               obj.get(IMPL_DESC));
         }        
         if (e.getSource().equals(mHelp)) {
             helpCallback();
@@ -271,15 +270,15 @@ public class PublisherImplTab extends CMSBaseUGTab {
         int i=0;
         String[] vals = new String[response.size()];
         Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
             int x = value.indexOf(",");
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry);
+            obj.put(IMPL_NAME, entry);
             vals[i++]= entry ;
-            obj.add(IMPL_CLASS, value.substring(0,x));
-            obj.add(IMPL_DESC, value.substring(x+1));
+            obj.put(IMPL_CLASS, value.substring(0, x));
+            obj.put(IMPL_DESC, value.substring(x + 1));
             data.put(entry,obj);
         }
         
@@ -307,7 +306,7 @@ public class PublisherImplTab extends CMSBaseUGTab {
         try {
             mConnection.delete(mDestination,
                                ScopeDef.SC_PUBLISHER_IMPLS,
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherRuleDataModel.java
index e8ff44e44755e29841fd64030716a5feb291c61a..03faeac21035076c96187b26408d177fc3dc9e4c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/PublisherRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -52,10 +51,10 @@ public class PublisherRuleDataModel extends CMSRuleDataModel
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
 
-        v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        v.addElement(new JLabel(obj.get(RULE_NAME),
                   CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                   JLabel.LEFT));
-        v.addElement(obj.getValue(RULE_IMPL));
+        v.addElement(obj.get(RULE_IMPL));
         addRow(v, data);
     }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/RegisterDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/RegisterDialog.java
index e1ef3631a4b7293a8b763cba6a115d0ca3aadf87..fe48419c73779d35bc97e262a94cb469d80771a1 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/RegisterDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/RegisterDialog.java
@@ -24,9 +24,8 @@ import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
-import javax.swing.table.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -270,7 +269,7 @@ public class RegisterDialog extends JDialog
 
             //construct NVP
             NameValuePairs config = new NameValuePairs();
-            config.add(Constants.PR_POLICY_CLASS, mClassField.getText());
+            config.put(Constants.PR_POLICY_CLASS, mClassField.getText());
 
             if (mType) {
               mScope=mTypeField.getText();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplDataModel.java
index 26e065c044cd1bd3aafbd4d7b3a64c7395096570..86a4fa6d4aae66a3d828ec9001aa23ee5c5b663a 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -58,10 +57,10 @@ public class RuleImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        v.addElement(new JLabel(obj.getValue(IMPL_NAME),
+        v.addElement(new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_PLUGIN),
             JLabel.LEFT));
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
